SoClipPlane(3IV)

NAME
SoClipPlane — clipping plane node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoClipPlane

SYNOPSIS
#include <Inventor/nodes/SoClipPlane.h>

Fields from class SoClipPlane:

SoSFPlane
plane
SoSFBool
on

Methods from class SoClipPlane:

SoClipPlane()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node clips all subsequent shapes in the scene graph to the half-space defined by the plane field. The half-space is the side of the plane in the direction of the plane normal. For example, if the plane is positioned at the origin and the normal is pointing down the positive X axis, everything in the negative X space will be clipped away.

Any number of clipping planes may be active simultaneously, although the graphics library may place a limit on this number during rendering.

FIELDS
SoSFPlane
plane
Plane defining half-space.

SoSFBool
on
Whether clipping plane is active.

METHODS

SoClipPlane()
Creates a clip plane node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoRayPickAction
Adds the plane to the current list of clipping planes in the state.

FILE FORMAT/DEFAULTS
ClipPlane {
plane	1 0 0  0
on	TRUE
}

SEE ALSO
SoCamera, SoShapeHints